reSIDfp::WaveformCalculator Class Reference

`#include <WaveformCalculator.h>`

## Public Member Functions

matrix_t * | buildTable (ChipModel model)

## Static Public Member Functions

static WaveformCalculator * | getInstance ()

## Detailed Description

Combined waveform calculator for WaveformGenerator.

Author
  Antti Lankila

## Member Function Documentation

matrix_t * reSIDfp::WaveformCalculator::buildTable | ( | ChipModel | model | ) |

Build waveform tables for use by WaveformGenerator.

Parameters

  model | Chip model to use

Returns
  Waveform table

The documentation for this class was generated from the following files:

- WaveformCalculator.h
- WaveformCalculator.cpp